Skip to main content
GET
/
orchestration
/
rules
List Orchestration Rules
curl --request GET \
  --url https://api.paxos.com/v2/orchestration/rules \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/orchestration/rules"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/orchestration/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rules": [
    {
      "id": "<string>",
      "ref_id": "<string>",
      "nickname": "<string>",
      "profile_id": "<string>",
      "identity_id": "<string>",
      "account_id": "<string>",
      "source_asset": "<string>",
      "destination_asset": "<string>",
      "source": {
        "crypto": {
          "address_id": "<string>",
          "address": "<string>",
          "network": "<string>"
        },
        "fiat": {
          "deposit_instructions_id": "<string>",
          "network": "<string>",
          "account_type": "<string>",
          "memo_id": "<string>"
        },
        "profile": {
          "profile_id": "<string>"
        }
      },
      "destination": {
        "crypto": {
          "address": "<string>",
          "network": "<string>"
        },
        "fiat": {
          "fiat_account_id": "<string>",
          "memo": "<string>"
        },
        "profile": {
          "profile_id": "<string>"
        }
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_cursor": "<string>",
  "items": [
    {
      "id": "<string>",
      "ref_id": "<string>",
      "nickname": "<string>",
      "profile_id": "<string>",
      "identity_id": "<string>",
      "account_id": "<string>",
      "source_asset": "<string>",
      "destination_asset": "<string>",
      "source": {
        "crypto": {
          "address_id": "<string>",
          "address": "<string>",
          "network": "<string>"
        },
        "fiat": {
          "deposit_instructions_id": "<string>",
          "network": "<string>",
          "account_type": "<string>",
          "memo_id": "<string>"
        },
        "profile": {
          "profile_id": "<string>"
        }
      },
      "destination": {
        "crypto": {
          "address": "<string>",
          "network": "<string>"
        },
        "fiat": {
          "fiat_account_id": "<string>",
          "memo": "<string>"
        },
        "profile": {
          "profile_id": "<string>"
        }
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}
OAuth Scope
orchestration:read_orchestration_rule

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_id
string

Optional filter by profile ID

status
enum<string>[]

Optional filter by statuses

  • ACTIVE: The rule is active, deposits matching the source_asset and source of this rule start a conversion and subsequent delivery of the destination_asset to the specified destination.
  • DELETED: The rule has been deleted, newly deposited source_assets to the source of this rule will not be converted. The deposited source_asset is still going to be credited to the Profile specified by profile_id.
  • PENDING: The rule creation is pending approval(s) before the rule becomes ACTIVE.
  • REJECTED: The rule creation has been rejected during the approval process.
Available options:
ACTIVE,
DELETED,
PENDING,
REJECTED
source_asset
string

Optional filter by source asset

destination_asset
string

Optional filter by destination asset

ids
string[]

Optionally filter by the UUIDs of the orchestration rules. Limit 100.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Sort order for the results. Defaults to DESC by created_at time.

Available options:
DESC,
ASC
page_cursor
string

Optional Cursor for getting the next page of results.

Response

200 - application/json

A successful response.

rules
object[]

Deprecated: Use items instead. This field will be removed in a future version.

next_page_cursor
string
items
object[]